Subject: Re: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 10 Jan 2018 16:03:45 -0800

On 01/10/18 18:06 PM, Noam Postavsky wrote:
> On Wed, Jan 10, 2018 at 5:57 PM, Eric Abrahamsen
> <[email-masked]> wrote:
>
>> Right, and the issue wasn't the introduction of when-let*, it was the
>> very short life-cycle of when-let.
>
> I don't understand how that leads to this:
>
>     I have to choose between compiler warnings on the one hand,
>     or multiple users running an Emacs without the function, on the other.
>
> Supposing when-let* was only introduced as a replacement to when-let
> in Emacs 30, you would still have to choose between users of Emacs 29
> reporting errors, or get deprecation warnings when compiling in Emacs
> 30. The (hypothetical) longer non-deprecated existence of when-let
> over versions 26,27,28,29 wouldn't help (unless you plan to stop
> developing your package before Emacs 30, I guess).

Ah, you're right. I guess it's just a matter of what Nicolas
mentioned -- these are awfully handy macros, and we're adopting them
early.